import pygame
import random

class Particle:
    def __init__(self, x, y, color, speed_x, speed_y):
        self.x = x
        self.y = y
        self.color = color
        self.radius = random.randint(4, 7)
        self.speed_x = random.uniform(-3, 3) + speed_x
        self.speed_y = random.uniform(-3, 3) + speed_y

    def update(self):
        self.x += self.speed_x
        self.speed_y += 0.3
        self.y += self.speed_y
        self.radius -= 0.1

    def draw(self, screen):
        if self.radius > 0:
            pygame.draw.circle(screen, self.color, (int(self.x), int(self.y)), int(self.radius))
